# Wait Input

{% hint style="info" %}
**API SUBPATH**: eva-wait-input
{% endhint %}

### CRUD Operations

{% openapi src="/files/69tCQXN4GjA5nfAOjJX1" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/wait-inputs" method="post" %}
[eva-wait-input-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2F9183KY042O3lSQM65Jaj%2Feva-wait-input-4.7.0.yaml?alt=media\&token=c593f022-b9c8-4761-aff0-dbb0854e0130)
{% endopenapi %}

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/wait-inputs/{waitInputUUID}

> Retrieves detailed information from a Wait Input.

```json
{"openapi":"3.0.1","info":{"title":"eva-wait-input API Documentation","version":"4.8.0"},"tags":[{"name":"wait inputs","description":"Management for creating, finding, updating and deleting wait inputs"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/wait-inputs/{waitInputUUID}":{"get":{"tags":["wait inputs"],"summary":"Retrieves detailed information from a Wait Input.","operationId":"fetch","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"waitInputUUID","in":"path","description":"A valid wait input Uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WaitInputResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"WaitInputResponseDTO":{"required":["type"],"type":"object","properties":{"description":{"type":"string","description":"Description of the wait input"},"type":{"type":"integer","description":"Type of the wait input. Possible types: \n\n 1 - DATE \n\n 2 - CUSTOM \n\n 3 - EMPTY \n\n 4 - HOUR","format":"int64"},"callToAction":{"type":"string","description":"Call to action of the wait input"},"pattern":{"type":"string","description":"Pattern of the wait input"},"rememberInput":{"type":"boolean","description":"Remember input of the wait input"},"stored":{"type":"string","description":"Name of variable to store when wait input is used if it's to remember"},"id":{"type":"string","description":"Uuid of the wait input"},"botId":{"type":"string","description":"Bot Uuid of the wait input"}},"description":"DTO used to response with wait input data"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## PUT /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/wait-inputs/{waitInputUUID}

> Updates an existing Wait Input

```json
{"openapi":"3.0.1","info":{"title":"eva-wait-input API Documentation","version":"4.8.0"},"tags":[{"name":"wait inputs","description":"Management for creating, finding, updating and deleting wait inputs"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/wait-inputs/{waitInputUUID}":{"put":{"tags":["wait inputs"],"summary":"Updates an existing Wait Input","operationId":"update","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"waitInputUUID","in":"path","description":"A valid wait input Uuid","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WaitInputDataDTO"}}},"required":true},"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WaitInputResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"WaitInputDataDTO":{"required":["type"],"type":"object","properties":{"description":{"type":"string","description":"Description of the wait input"},"type":{"type":"integer","description":"Type of the wait input. Possible types: \n\n 1 - DATE \n\n 2 - CUSTOM \n\n 3 - EMPTY \n\n 4 - HOUR","format":"int64"},"callToAction":{"type":"string","description":"Call to action of the wait input"},"pattern":{"type":"string","description":"Pattern of the wait input"},"rememberInput":{"type":"boolean","description":"Remember input of the wait input"},"stored":{"type":"string","description":"Name of variable to store when wait input is used if it's to remember"}},"description":"A body containing all necessary data to create a new wait input"},"WaitInputResponseDTO":{"required":["type"],"type":"object","properties":{"description":{"type":"string","description":"Description of the wait input"},"type":{"type":"integer","description":"Type of the wait input. Possible types: \n\n 1 - DATE \n\n 2 - CUSTOM \n\n 3 - EMPTY \n\n 4 - HOUR","format":"int64"},"callToAction":{"type":"string","description":"Call to action of the wait input"},"pattern":{"type":"string","description":"Pattern of the wait input"},"rememberInput":{"type":"boolean","description":"Remember input of the wait input"},"stored":{"type":"string","description":"Name of variable to store when wait input is used if it's to remember"},"id":{"type":"string","description":"Uuid of the wait input"},"botId":{"type":"string","description":"Bot Uuid of the wait input"}},"description":"DTO used to response with wait input data"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## DELETE /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/wait-inputs/{waitInputUUID}

> Removes an existing Wait Input

```json
{"openapi":"3.0.1","info":{"title":"eva-wait-input API Documentation","version":"4.8.0"},"tags":[{"name":"wait inputs","description":"Management for creating, finding, updating and deleting wait inputs"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/wait-inputs/{waitInputUUID}":{"delete":{"tags":["wait inputs"],"summary":"Removes an existing Wait Input","operationId":"remove","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"waitInputUUID","in":"path","description":"A valid wait input Uuid","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

### Auxiliary Methods

## GET /org/{orgUUID}/env/{envUUID}/wait-inputs/types

> Lists all Wait Input available types. Those must be supplied at their CRUD methods.

```json
{"openapi":"3.0.1","info":{"title":"eva-wait-input API Documentation","version":"4.8.0"},"tags":[{"name":"wait inputs","description":"Management for creating, finding, updating and deleting wait inputs"}],"paths":{"/org/{orgUUID}/env/{envUUID}/wait-inputs/types":{"get":{"tags":["wait inputs"],"summary":"Lists all Wait Input available types. Those must be supplied at their CRUD methods.","operationId":"listTypes","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TypeDTO"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"TypeDTO":{"type":"object","properties":{"id":{"type":"integer","description":"Id of the wait input type","format":"int64"},"name":{"type":"string","description":"Name of the wait input type"}},"description":"DTO used to response with wait input types"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conversational-ai.syntphony.com/user-guide/api-docs/api-guidelines/management-api/instance-api/wait-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
